---
- name: Set Automation Controller project variables
  ansible.builtin.set_fact:
    aapctl_project_name: "{{ aap_controller_project_name }}"
    aapctl_project_description: "{{ aap_controller_project_description }}"
    aapctl_project_org: "{{ aap_controller_project_org }}"
    aapctl_project_url: "{{ aap_controller_project_url }}"

- name: Create GitLab project
  ansible.controller.project:
    name: "{{ aapctl_project_name }}"
    description: "{{ aapctl_project_description }}"
    organization: "{{ aapctl_project_org }}"
    state: present
    scm_type: git
    scm_url: "{{ aapctl_project_url }}"
    update_project: yes
    wait: yes
    timeout: 40
    controller_host: "https://{{ aapctl_instance_route }}"
    controller_oauthtoken: "{{ aapctl_ocp_admin_token }}"
    validate_certs: no
